Skip to content
Start here

List filters

Deprecated
client.filters.list(FilterListParams { zone_id, id, description, 5 more } params, RequestOptionsoptions?): V4PagePaginationArray<FirewallFilter { id, description, expression, 2 more } >
GET/zones/{zone_id}/filters

Fetches filters in a zone. You can filter the results using several optional parameters.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Firewall Services WriteFirewall Services Read
ParametersExpand Collapse
params: FilterListParams { zone_id, id, description, 5 more }
zone_id: string

Path param: Defines an identifier.

maxLength32
id?: string

Query param: The unique identifier of the filter.

maxLength32
minLength32
description?: string

Query param: A case-insensitive string to find in the description.

expression?: string

Query param: A case-insensitive string to find in the expression.

page?: number

Query param: Page number of paginated results.

minimum1
paused?: boolean

Query param: When true, indicates that the filter is currently paused.

per_page?: number

Query param: Number of filters per page.

maximum100
minimum5
ref?: string

Query param: The filter ref (a short reference tag) to search for. Must be an exact match.

ReturnsExpand Collapse
FirewallFilter { id, description, expression, 2 more }
id?: string

The unique identifier of the filter.

maxLength32
minLength32
description?: string

An informative summary of the filter.

maxLength500
expression?: string

The filter expression. For more information, refer to Expressions.

paused?: boolean

When true, indicates that the filter is currently paused.

ref?: string

A short reference tag. Allows you to select related filters.

maxLength50

List filters

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const firewallFilter of client.filters.list({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(firewallFilter.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "372e67954025e0ba6aaa6d586b9e0b61",
      "description": "Restrict access from these browsers on this address range.",
      "expression": "(http.request.uri.path ~ \".*wp-login.php\" or http.request.uri.path ~ \".*xmlrpc.php\") and ip.addr ne 172.16.22.155",
      "paused": false,
      "ref": "FIL-100"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "372e67954025e0ba6aaa6d586b9e0b61",
      "description": "Restrict access from these browsers on this address range.",
      "expression": "(http.request.uri.path ~ \".*wp-login.php\" or http.request.uri.path ~ \".*xmlrpc.php\") and ip.addr ne 172.16.22.155",
      "paused": false,
      "ref": "FIL-100"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}